package com.qmth.themis.mq.service;


import com.qmth.themis.mq.dto.MqDto;

import java.util.concurrent.TimeUnit;

/**
 * @Description: mqdto 服务类
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/7/2
 */
public interface MqDtoService {

    /**
     * 组装单向消息
     *
     * @param o
     * @return
     */
    public MqDto assembleSendOneWayMsg(Object... o);

    /**
     * 组装单向消息
     *
     * @param mqDto
     * @return
     */
    public MqDto assembleSendOneWayMsg(MqDto mqDto);

    /**
     * 组装异步延时消息
     *
     * @param mqDto
     * @param timeOut
     * @return
     */
    public MqDto assembleSendAsyncDelayMsg(MqDto mqDto, int timeOut);

    /**
     * 组装同步延时消息
     *
     * @param mqDto
     * @param timeOut
     * @return
     */
    public MqDto assembleSendSyncDelayMsg(MqDto mqDto, int timeOut);
}
